BrokerContainerFactoryImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.broker.impl.BrokerContainerFactoryImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.broker.impl
Class BrokerContainerFactoryImpl

    java.lang.Object
      org.codehaus.activemq.broker.impl.BrokerContainerFactoryImpl

All Implemented Interfaces:
  BrokerContainerFactory

public class BrokerContainerFactoryImpl
extends Object
implements BrokerContainerFactory

Version:
  $Revision: 1.3 $

Constructor Summary
`BrokerContainerFactoryImpl()`
`BrokerContainerFactoryImpl(PersistenceAdapter persistenceAdapter)`

Method Summary
`BrokerContainer` | `createBrokerContainer(String brokerName, BrokerContext context)` Creates a broker container with the given name
`PersistenceAdapter` | `getPersistenceAdapter()`
`void` | `setPersistenceAdapter(PersistenceAdapter persistenceAdapter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrokerContainerFactoryImpl

    public BrokerContainerFactoryImpl()

### BrokerContainerFactoryImpl

    public BrokerContainerFactoryImpl(PersistenceAdapter persistenceAdapter)

Method Detail

### createBrokerContainer

    public BrokerContainer createBrokerContainer(String brokerName,
                                                 BrokerContext context)

  Description copied from interface: `BrokerContainerFactory`
  Creates a broker container with the given name

  Specified by:
    `createBrokerContainer` in interface `BrokerContainerFactory`
  Parameters:
    `brokerName` -
    `context` -
  Returns:

### getPersistenceAdapter

    public PersistenceAdapter getPersistenceAdapter()

### setPersistenceAdapter

    public void setPersistenceAdapter(PersistenceAdapter persistenceAdapter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.